<%@ page import="com.atlassian.jira.config.properties.ApplicationProperties"%>
<%@ page import="com.atlassian.jira.config.properties.APKeys"%>
<%@ page import="com.atlassian.jira.ManagerFactory"%>
<%@ page import="com.atlassian.plugin.webresource.WebResourceManager"%>
<%@ page import="com.atlassian.jira.ComponentManager"%>
<%@ page import="com.atlassian.jira.config.properties.LookAndFeelBean" %>
<%@ taglib uri="sitemesh-decorator" prefix="decorator" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>
<%@ taglib uri="webwork" prefix="webwork" %>
<%-- IF YOU EDIT THIS - BE SURE TO CHECK IF YOU NEED TO EDIT DECORATORS/FRONTPAGE.JSP && popups.jsp &&  --%>
<%
ApplicationProperties ap = ManagerFactory.getApplicationProperties();
LookAndFeelBean lAndF = LookAndFeelBean.getInstance(ap);
%>
<decorator:usePage id="originalPage" />
<%
    //this is all to ensure that the title prefix is not the same as the title.
    //See JRA-404
    String origTitle = originalPage.getTitle();
    String titlePrefix = ap.getDefaultBackedString(APKeys.JIRA_TITLE);
    if (origTitle != null && origTitle.equals(titlePrefix))
    {
        titlePrefix = null;
    }

    WebResourceManager webResourceManager = ComponentManager.getInstance().getWebResourceManager();
    //
    // Every page wants these new YUI resources and we have to include them BEFORE we output the actual includes
    //
    webResourceManager.requireResource("jira.webresources:yui");
    webResourceManager.requireResource("jira.webresources:yui-container");
    webResourceManager.requireResource("jira.webresources:json");
    webResourceManager.requireResource("jira.webresources:jira-menubutton");
%>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
    <title><decorator:title default="Welcome" /><% if (titlePrefix != null) { %> - <%= titlePrefix %> <% } %></title>

    <decorator:head/>
    <meta http-equiv="Content-Type" content="<%= ap.getContentType() %>" />
    <meta http-equiv="Pragma" content="no-cache" />
    <meta http-equiv="Expires" content="-1" />
    <%@ include file="/includes/decorators/uacompatibility.jsp" %>
    <link rel="shortcut icon" href="<%= webResourceManager.getStaticResourcePrefix()%>/favicon.ico">
    <link rel="icon" type="image/png" href="<%= webResourceManager.getStaticResourcePrefix()%>/images/icons/favicon.png">
	<%@ include file="/includes/decorators/stylesheettag.jsp" %>
    <script language="JavaScript" type="text/javascript" src="<%= webResourceManager.getStaticResourcePrefix() %>/includes/js/combined-javascript.js"></script>

<%
    webResourceManager.includeResources(out);
%>
</head>

<%@ include file="/includes/decorators/bodytop.jsp" %>

