<%@ taglib uri="webwork" prefix="webwork" %>

<%-- Do not display this table if there are no project tab panels available or if 'components' and 'fix versions' has been hidden --%>
<%-- Need to split this test - as otherwise webwork is unable to parse the "if" test --%>
<webwork:if test="/componentTabPanels/empty == true">
    <div class="borderedbox">
        <span class="warning"><webwork:text name="'common.words.note'"/></span>:&nbsp;<webwork:text name="'browsecomponent.component.info.notavailable'"/>
    </div>
</webwork:if>
<webwork:else>
    <table cellpadding="2" cellspacing="0" border="0" width="100%" align="center">
    <tr>
    <webwork:if test="/selected == 'select'">
        <td class="projectTabPanelTab">&nbsp;<webwork:text name="'common.words.select'" />:&nbsp;</td>
    </webwork:if>
    <webwork:else>
        <td class="projectTabPanelTab">&nbsp;<a href="<%= request.getContextPath() %>/browse/<webwork:property value="/selectedProjectObject/key" />/component/<webwork:property value="component/id" />?selected=select" style="color: black;"><webwork:text name="'common.words.select'" />:</a>&nbsp;</td>
    </webwork:else>
    <webwork:iterator value="/componentTabPanels">
        <webwork:if test="/selected == completeKey"><%-- current tab --%>
        <td class="projectTabPanelTabSelected">&nbsp;<webwork:property value="label" />&nbsp;</td>
        </webwork:if>
        <webwork:else>
        <td class="projectTabPanelTab">&nbsp;<a href="<%= request.getContextPath() %>/browse/<webwork:property value="/selectedProjectObject/key" />/component/<webwork:property value="component/id" />?selected=<webwork:url value="completeKey" />"><webwork:property value="label" /></a>&nbsp;</td>
        </webwork:else>
    </webwork:iterator>
        <td>&nbsp;</td>
    </tr>
    </table>

    <table cellpadding="0" cellspacing="1" border="0" width="100%" bgcolor="#bbbbbb" align="center"><tr><td>
        <table cellpadding="1" cellspacing="0" border="0" width="100%" bgcolor="#ffffff"><tr><td>
            <webwork:if test="/selected == 'select'">
                <table width="100%" cellpadding="4" cellspacing="0" border="0" align="center">
                <tr><td valign="top" bgcolor="#f0f0f0">
                    <h3 class="formtitle"><webwork:text name="'browsecomponent.component.information'" /></h3>
                </td></tr>
                <tr><td valign="top">

                <webwork:iterator value="/componentTabPanels">
                    <img src="<%= request.getContextPath() %>/images/icons/bullet_creme.gif" height="8" width="8" border="0" align="absmiddle" alt=""/>
                    <b><a href="<%= request.getContextPath() %>/browse/<webwork:property value="/selectedProjectObject/key" />/component/<webwork:property value="component/id" />?selected=<webwork:url value="completeKey" />"><webwork:property value="label" /></a></b>
                    -
                    <webwork:property value="description" /><br>
                </webwork:iterator>

                </td></tr></table>
            </webwork:if>
            <webwork:else>
                <webwork:property value="/componentTabHtml()" escape="false"/>
            </webwork:else>
        </td></tr></table>
    </td></tr></table>
</webwork:else>
