<%@ page import="com.atlassian.jira.ComponentManager" %>
<%@ page import="com.atlassian.plugin.webresource.WebResourceManager" %>
<%@ taglib uri="webwork" prefix="webwork" %>
<%
    WebResourceManager webResourceManager = ComponentManager.getInstance().getWebResourceManager();
    webResourceManager.requireResource("jira.webresources:dwr");
    webResourceManager.requireResource("jira.webresources:yui");
    webResourceManager.requireResource("jira.webresources:ajax-favourite-control");
%>
<div id="fav_enabled_div_<webwork:property value="parameters['tableId']"/>_<webwork:property value="parameters['entityType']" />_<webwork:property value="parameters['entityId']" />" <webwork:if test="parameters['enabled'] != 'true'">style="display:none"</webwork:if>>
    <a id="fav_enabled_a_<webwork:property value="parameters['tableId']" />_<webwork:property value="parameters['entityType']" />_<webwork:property value="parameters['entityId']" />"><img id="fav_enabled_img_<webwork:property value="parameters['tableId']" />_<webwork:property value="parameters['entityType']" />_<webwork:property value="parameters['entityId']" />"
                src="<%= request.getContextPath() %>/images/icons/star_yellow.gif"
                alt="<webwork:text name="'common.favourites.enabled.' +  parameters['entityType']"/>"
                title="<webwork:text name="'common.favourites.enabled.' +  parameters['entityType']"/>"
                height="16px"
                width="16px"/>
    </a>
</div>
<div id="fav_disabled_div_<webwork:property value="parameters['tableId']"/>_<webwork:property value="parameters['entityType']" />_<webwork:property value="parameters['entityId']" />" <webwork:if test="parameters['enabled'] == 'true'">style="display:none"</webwork:if>>
    <a id="fav_disabled_a_<webwork:property value="parameters['tableId']" />_<webwork:property value="parameters['entityType']" />_<webwork:property value="parameters['entityId']" />"><img id="fav_disabled_img_<webwork:property value="parameters['tableId']" />_<webwork:property value="parameters['entityType']" />_<webwork:property value="parameters['entityId']" />"
                src="<%= request.getContextPath() %>/images/icons/star_grey.gif"
                alt="<webwork:text name="'common.favourites.disabled.' +  parameters['entityType']"/>"
                title="<webwork:text name="'common.favourites.disabled.' +  parameters['entityType']"/>"
                height="16px"
                width="16px"/>
    </a>
</div>
<div id="fav_wait_div_<webwork:property value="parameters['tableId']"/>_<webwork:property value="parameters['entityType']" />_<webwork:property value="parameters['entityId']" />" style="display:none">
    <a id="fav_wait_a_<webwork:property value="parameters['tableId']" />_<webwork:property value="parameters['entityType']" />_<webwork:property value="parameters['entityId']" />"><img id="fav_wait_img_<webwork:property value="parameters['tableId']" />_<webwork:property value="parameters['entityType']" />_<webwork:property value="parameters['entityId']" />"
                src="<%= request.getContextPath() %>/images/icons/wait.gif"
                alt="<webwork:text name="'common.favourites.disabled.' +  parameters['entityType']"/>"
                title="<webwork:text name="'common.favourites.disabled.' +  parameters['entityType']"/>"
                height="16px"
                width="16px"/>
    </a>
</div>
<webwork:if test="parameters['removeId']">
    <div id="fav_undo_div_<webwork:property value="parameters['tableId']"/>_<webwork:property value="parameters['entityType']" />_<webwork:property value="parameters['entityId']" />" style="display:none">    
        <webwork:text name="'common.favourites.undo.' +  parameters['entityType']" value0="parameters['entityName']"/>&nbsp;<a href="#"><webwork:text name="'common.favourites.undo'"/></a>
    </div>
</webwork:if>

<script type="text/javascript" language="JavaScript">
    YAHOO.util.Event.addListener(window, 'load', function() {
        <webwork:if test="parameters['enabled'] == 'true'">
            var enabled = true;
        </webwork:if>
        <webwork:else>
            var enabled = false;
        </webwork:else>
        new atlassian.jira.favourite.FavouriteControl(enabled, '<webwork:property value="parameters['tableId']" />', '<webwork:property value="parameters['entityType']" />', '<webwork:property value="parameters['entityId']" />','<webwork:property value="parameters['removeId']" />', <webwork:if test="parameters['originalOrderVar'] == null">null</webwork:if><webwork:else><webwork:property value="parameters['originalOrderVar']" /></webwork:else>)
    });
</script>

