
<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>
<%@ taglib uri="jiratags" prefix="jira" %>
<%
// don't show ANYTHING to the user if they come here looking for trouble
if (com.atlassian.jira.util.JiraUtils.isSetup()) {
%>
<%--
Leave this as a raw HTML. Do not use response.getWriter() or response.getOutputStream() here as this will fail
on Orion. Let the application server figure out how it want to output this text.
--%>
JIRA has already been set up.
<%
} else {
%>
<html>
<head>
	<title><webwork:text name="'setup.title'"/></title>
</head>

<body>

<page:applyDecorator name="jiraform">
	<page:param name="title"><webwork:text name="'setup.import.title'"/></page:param>
	<page:param name="action">SetupImport.jspa</page:param>
	<page:param name="description">
        <webwork:text name="'setup.import.desc.line1'"/>
        <p>
        <webwork:text name="'setup.import.desc.line2'">
            <webwork:param name="'value0'"><a href="Setup!default.jspa"></webwork:param>
            <webwork:param name="'value1'"></a></webwork:param>
        </webwork:text>
        </p>
        <p>
        <webwork:text name="'setup.import.desc.line3'"/> <webwork:text name="'setup.import.desc.bullet1'"/>
        </p>
        <webwork:text name="'setup.import.desc.lastline'">
            <webwork:param name="'value0'"><font color=990000></webwork:param>
            <webwork:param name="'value1'"></font></webwork:param>
        </webwork:text>
	</page:param>
	<page:param name="submitName"><webwork:property value="text('common.forms.import')"/></page:param>

	<ui:textfield label="text('setup.filename.label')" name="'filename'">
		<ui:param name="'size'">100</ui:param>
		<ui:param name="'description'"><webwork:text name="'setup.filename.desc'"/></ui:param>
	</ui:textfield>

	<ui:textfield label="text('setup.indexlocation.label')" name="'indexPath'" size="100">
		<ui:param name="'description'">
            <webwork:text name="'admin.import.the.absolute.or.relative.path'"/>
            <br>
            <webwork:text name="'admin.import.index.warning'">
                <webwork:param name="'value0'"><span class="warning"></webwork:param>
                <webwork:param name="'value1'"></span></webwork:param>
            </webwork:text>
            <br>
            <webwork:text name="'admin.import.index.warning.example'"/>
        </ui:param>
	</ui:textfield>

</page:applyDecorator>

</body>
</html>
<% } %>
