<%@ page import="com.atlassian.jira.ComponentManager"%>
<%@ page import="com.atlassian.jira.web.component.webfragment.WebFragmentWebComponent"%>
<%@ page import="com.atlassian.util.profiling.UtilTimerStack"%>
<%@ page import="com.atlassian.jira.bc.project.component.ProjectComponent" %>
<%@ page import="com.atlassian.jira.plugin.webfragment.model.ComponentHelper" %>
<%@ page import="com.atlassian.jira.plugin.webfragment.model.JiraHelper" %>
<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="jiratags" prefix="jira" %>

<html>
<head>
	<title><webwork:text name="'browsecomponent.title'" /></title>
	<meta name="decorator" content="navigator" />
</head>
<body>
<webwork:property value="/component" id="component">
<table cellpadding="4" cellspacing="0" border="0" width="100%" bgcolor="#bbbbbb" style="border-bottom: 1px solid #bbb;">
<tr>
	<td bgcolor="#f0f0f0" colspan="2">
		<h3 class="formtitle">
            <a href="<%= request.getContextPath() %>/secure/BrowseProjects.jspa" title="<webwork:text name="'browseprojects.all.projects.title'" />"><webwork:text name="'browseprojects.all.projects'" /></a>
            :
            <a href="<%= request.getContextPath() %>/browse/<webwork:property value="selectedProjectObject/key" />" title="<webwork:text name="'browseComponent.project.title'"><webwork:param name="value0" value="selectedProjectObject/name" /></webwork:text>"><webwork:property value="selectedProjectObject/name" /></a>
            :
            <webwork:property value="component/name" /> <span class="small">(<webwork:text name="'common.concepts.component'"/>)</span>
        </h3>
	</td>
</tr>
</table>

<table cellpadding="10" cellspacing="0" border="0" width="100%" bgcolor="#ffffff">
<tr>
	<td bgcolor="#ffffff" width="70%" valign="top">
        <webwork:if test="component/lead != null && component/lead/length > 0">
            <b><webwork:text name="'common.concepts.lead'" />:</b>
            <jira:formatuser user="component/lead" type="'profileLink'" id="'comp_lead'"/>
            <br/>
        </webwork:if>
        <webwork:if test="component/description != null && component/description/length > 0">
            <b><webwork:text name="'common.concepts.description'" />:</b>
            <webwork:property value="component/description" />
            <br/>
        </webwork:if>
        <webwork:if test="hasProjectAdminPermission == true">
            <br/>
            <img src="<%= request.getContextPath() %>/images/icons/bullet_creme.gif" height="8" width="8" border="0" align="absmiddle" alt=""/> <a id="edit_component" href="<webwork:url value="'/secure/project/EditComponent!default.jspa'">
                <webwork:param name="'id'" value="/component/id" />
                <webwork:param name="'pid'" value="/id" />
                <webwork:param name="'returnUrl'">/browse/<webwork:property value="selectedProjectObject/key" />/component/<webwork:property value="/component/id"/></webwork:param> 
            </webwork:url>"><webwork:text name="'admin.projects.component.edit.component'"/></a><br/>
            <img src="<%= request.getContextPath() %>/images/icons/bullet_creme.gif" height="8" width="8" border="0" align="absmiddle" alt=""/> <a id="delete_component" href="<webwork:url value="'/secure/project/DeleteComponent!default.jspa'">
                <webwork:param name="'cid'" value="/component/id" />
                <webwork:param name="'returnUrl'">/browse/<webwork:property value="selectedProjectObject/key" /></webwork:param>
            </webwork:url>"><webwork:text name="'admin.delete.component.title'"/></a><br/>
        </webwork:if>
        <%
            ProjectComponent component = (ProjectComponent) pageContext.getAttribute("component");
            WebFragmentWebComponent webFragment = (WebFragmentWebComponent) ComponentManager.getComponentInstanceOfType(WebFragmentWebComponent.class);
            JiraHelper jiraHelper = new ComponentHelper(request, component);
        %>
        <br/>
        <br/>
        <jsp:include page="/includes/panels/browser/componenttabpanels.jsp"/>
	</td>

	<td bgcolor="#fffff0" width="30%" valign="top" nowrap style="border-left: 1px solid #bbb;">
        <%-- these styles are used by the webfragment below --%>
        <style type="text/css">
            .presetfiltertable { width: 90%}
            .presetfilter {}
        </style>
        <%
            UtilTimerStack.push("Rendering Preset Filters for browse project");
            if (webFragment.hasDisplayableItems("system.preset.filters", jiraHelper))
            {
        %>
        <p><h3 class="formtitle"><webwork:text name="'common.concepts.presetfilters'" /></h3>
        <%= webFragment.getHtml("templates/plugins/webfragments/system-preset-filters.vm", "system.preset.filters", jiraHelper) %>
        <%
            }
            UtilTimerStack.pop("Rendering Preset Filters for browse project");
        %>

        <jsp:include page="/includes/panels/browser/openissues-component.jsp" />
	</td>
</webwork:property>
</tr></table>
</body>
</html>
