<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>
<%@ taglib uri="jiratags" prefix="jira" %>
<html>
<head>
	<title><webwork:text name="'browse.personal.project.title'"/></title>
</head>

<body>
<table cellpadding="0" cellspacing="0" border="0" width="100%">
<tr>
<td width="200" bgcolor="#f0f0f0" valign="top">
    <jira:formatuser user="/user" type="'fullProfile'" id="'browse_personal_project'"/>
</td>
<td bgcolor="#ffffff" valign="top">
<table width="100%" cellpadding="10" cellspacing="0" border="0"><tr><td>

    <page:applyDecorator name="jirapanel">
        <page:param name="title"><webwork:text name="'common.words.project'"/></page:param>
        <page:param name="width">100%</page:param>
        <webwork:if test="browseableProjects/size > 0">
            <webwork:iterator value="browseableProjects">
                <webwork:if test=". == /project">
                    <li><webwork:property value="string('name')" /></li>
                </webwork:if>
                <webwork:else>
                    <li><a href="BrowsePersonalProject.jspa?id=<webwork:property value="long('id')" />"><webwork:property value="string('name')" /></a></li>
                </webwork:else>
            </webwork:iterator>
        </webwork:if>
        <webwork:else>
            <p>
                <table bgcolor="#bbbbbb" border="0" cellpadding="0" cellspacing="0" width="95%"><tr><td>
                <table  border="0" cellpadding="3" cellspacing="1" width="100%">
                    <%@ include file="/includes/noprojects.jsp" %>
                </table>
                </td></tr></table>
            </p>
        </webwork:else>
    </page:applyDecorator>
    <webwork:if test="project">
        <p>
        <jsp:include page="/includes/reports/project/personalroadmap.jsp" />
        </p>
    </webwork:if>

</td></tr></table>
</td></tr></table>
</body>
</html>
